[v7,07/10] devtools: support python3 only
diff mbox series

Message ID 20200921120357.220588-8-kevin.laatz@intel.com
State Superseded
Delegated to: David Marchand
Headers show
Series
  • adding support for python 3 only
Related show

Checks

Context Check Description
ci/checkpatch success coding style OK

Commit Message

Kevin Laatz Sept. 21, 2020, 12:03 p.m. UTC
From: Louise Kilheeney <louise.kilheeney@intel.com>

Changed script to explicitly use python3 only to avoid
maintaining python 2 and removed deprecation notice.

Cc: Neil Horman <nhorman@tuxdriver.com>
Cc: Ray Kinsella <mdr@ashroe.eu>

Signed-off-by: Louise Kilheeney <louise.kilheeney@intel.com>
Acked-by: Ray Kinsella <mdr@ashroe.eu>
Acked-by: Neil Horman <nhorman@tuxdriver.com>
---
 devtools/update_version_map_abi.py | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

Comments

Robin Jarry Sept. 25, 2020, 2:55 p.m. UTC | #1
Hi Kevin, all,

2020-09-21, Kevin Laatz:
> From: Louise Kilheeney <louise.kilheeney@intel.com>
> 
> Changed script to explicitly use python3 only to avoid
> maintaining python 2 and removed deprecation notice.
> 
> Cc: Neil Horman <nhorman@tuxdriver.com>
> Cc: Ray Kinsella <mdr@ashroe.eu>
> 
> Signed-off-by: Louise Kilheeney <louise.kilheeney@intel.com>
> Acked-by: Ray Kinsella <mdr@ashroe.eu>
> Acked-by: Neil Horman <nhorman@tuxdriver.com>

Acked-by: Robin Jarry <robin.jarry@6wind.com>

Patch
diff mbox series

diff --git a/devtools/update_version_map_abi.py b/devtools/update_version_map_abi.py
index 10c3bc8098..3536a54b44 100755
--- a/devtools/update_version_map_abi.py
+++ b/devtools/update_version_map_abi.py
@@ -1,4 +1,4 @@ 
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # SPDX-License-Identifier: BSD-3-Clause
 # Copyright(c) 2019 Intel Corporation
 
@@ -9,7 +9,6 @@ 
 from the devtools/update-abi.sh utility.
 """
 
-from __future__ import print_function
 import argparse
 import sys
 import re
@@ -160,10 +159,6 @@  def __generate_internal_abi(f_out, lines):
     print("};", file=f_out)
 
 def __main():
-    if sys.version_info.major < 3:
-        print("WARNING: Python 2 is deprecated for use in DPDK, and will not work in future releases.", file=sys.stderr)
-        print("Please use Python 3 instead", file=sys.stderr)
-
     arg_parser = argparse.ArgumentParser(
         description='Merge versions in linker version script.')